﻿using System.IO;

namespace RegName
{
    public class RenameProgressSuccess : RenameProgress
    {
        #region Public Enums, Properties and Fields

        public FileInfo Old { get; }

        public FileInfo New { get; }

        #endregion

        #region Constructors, Destructors and Finalizers

        public RenameProgressSuccess(int index, FileInfo oldFile, FileInfo newFile) : base(index)
        {
            Old = oldFile;
            New = newFile;
        }

        #endregion
    }
}